Subject: Re: bug#23946: 25.0.91; Unicode issue on OS X (Emacs 25)

From: Geraldus <[email-masked]>
Date: Wed, 10 Aug 2016 08:30:31 +0000

*> Which Unicode symbols are you referring to?> In particular, are you
talking about multi-color symbols (Emoji) or> other Unicode symbols?*

I use `diminish-mode` to squash some minor mode names to single unicode
symbol, here are some of them: ⨠ ¬ ↻ ⧊ ⎌.  The issue appear not only for
Unicode symbols, but also for cyrillic characters too.

*> When you say ‘start Emacs manually from shell’, do you mean run the GUI*
*> Emacs from the shell, or run it within the terminal?*
*> *
*> How are you running it, just typing ‘emacs’?*

Yes, I mean GUI application.  I have two ways to launch GUI app — by
clicking on Emacs icon (the issue appears), and by command invocation in my
terminal; I use `fish` shell with default Mac OS Terminal app, the exact
command I'm using is

fish -c '/Applications/Emacs.app/Contents/MacOS/Emacs&'

Regards!